.buttons-container {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;

  &__single-button-wrapper {
    width: 165px;
    margin-left: 3px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;

    .single-button {

      &__content {

        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
        align-items: center;

        &__icon {
          width: 20%;
          margin-right: 4px;
        }
        &__label {
          width: 70%;
          font-size: 1rem;
        }
      }
    }
  }
}

@media only screen and (max-width: 1024px) {
  .buttons-container {
    justify-content: space-evenly;
  }
}

@media only screen and (max-width: 768px) {
  .buttons-container {
    flex-wrap: wrap;
    justify-content: flex-start;

    &__single-button-wrapper {
      margin-right: 10px;
      margin-bottom: 10px;
    }
  }
}

@media only screen and (max-width: 425px) {
  .buttons-container {
    flex-direction: column;
  
    &__single-button-wrapper {
      width: 50%;
      margin-bottom: 1vh;
      margin-left: 0;
  
      .single-button {
  
        &__content {
          flex-direction: column;
          justify-content: center;
          align-items: center;

          &__icon {
            margin-right: 0;
            margin-bottom: 2px;
          }
        }
      }
    }
  }
}    
